package gov.va.vss.persistence.dao.lookup;

import gov.va.vss.model.lookup.VtkInstitution;
import gov.va.vss.persistence.dao.CustomizableSortedDAO;

public interface VtkInstitutionDAO extends CustomizableSortedDAO<VtkInstitution> {

	VtkInstitution findBySDSFacility(long vaFacilityId);

	VtkInstitution findByStationNumber(String stationNumber);

}
