package gov.va.vss.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import gov.va.shared.model.AppUser;
import gov.va.shared.service.CreateOrRetrieveUserCallback;
import gov.va.vss.service.VtkUserService;

@Component
public class VtkUserAppUserCallback extends AbstractServiceImpl implements CreateOrRetrieveUserCallback {

	@Autowired
	private VtkUserService vtkUserService;
	
	@Override
	public AppUser userRetrieved(AppUser u) {
		vtkUserService.createOrRetrieveVtkUser(u.getUsername());
		return u;
	}

	@Override
	public AppUser userCreated(AppUser u) {
		vtkUserService.createOrRetrieveVtkUser(u.getUsername());
		return u;
	}

}
