package gov.va.shared;

import org.springframework.test.context.ContextConfiguration;

import gov.va.shared.config.BaseConfig;
import gov.va.shared.config.testOnly.BaseTestConfig;
import gov.va.shared.model.core.IdentifiedPersistent;
import gov.va.shared.test.AbstractTransactionalDAOTest;

/**
 * Base class for transactional DAO tests in the core module
 * 
 * @author barrycon
 */
@ContextConfiguration(classes = { BaseConfig.class, BaseTestConfig.class })
public abstract class AbstractTransactionalCoreDAOTest<T extends IdentifiedPersistent>
		extends AbstractTransactionalDAOTest<T> {

}
