package gov.va.vss.persistence.dao;

import java.io.IOException;
import java.util.List;

import org.apache.http.client.ClientProtocolException;

import gov.va.vss.model.ExcludedEntity;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface ExcludedEntityDAO extends CustomizableSortedDAO<ExcludedEntity> {

	public static interface ImportDataCallback {

		void processRecord(ExcludedEntity e);

	}

	int importData(ImportDataCallback callback) throws ClientProtocolException, IOException;

	/* For example... needs to be expanded of course - CPB */
	List<ExcludedEntity> findByCriteria(String lastName, QueryCustomization... customization);

}
