package gov.va.vss.persistence.dao;

import java.time.ZonedDateTime;
import java.util.List;

import gov.va.vss.model.NationalOfficial;
import gov.va.vss.model.Organization;

public interface NationalOfficialDAO extends CustomizableSortedDAO<NationalOfficial> {

	/**
	 *
	 * @param organizationId
	 * @param activeAsOfDate
	 * @return
	 */
	List<NationalOfficial> findByCriteria(Long organizationId, ZonedDateTime activeAsOfDate);

	/**
	 * 
	 * @param name
	 * @return
	 */
	
//	public NationalOfficial findByVAVSTitle(Long organizationId, String name);
}
