package gov.va.vss.persistence.dao;

import java.util.List;

import gov.va.vss.model.Organization;
import gov.va.vss.model.OrganizationScopeType;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface OrganizationDAO extends CustomizableSortedDAO<Organization> {

	List<Organization> findByCriteria(String name, boolean includeLocalFacility, List<Long> localFacilityIds,
			boolean includeNational, QueryCustomization... customization);

	int findNextAvailableCode(OrganizationScopeType scope, Long localFacilityId);

}
