package gov.va.vss.persistence.queryCustomization.fieldTypes;

import gov.va.vss.model.VolunteerStationProfile;

public enum VolunteerStationProfileAssociationFieldType implements ModelAssociationFieldType {
	CONTACT_INFO("contactInfo"), //
	;

	private String fieldName;

	private VolunteerStationProfileAssociationFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return VolunteerStationProfile.class;
	}

}