<%@ include file="../../shared/inc_header.jsp"%>

<script type="text/javascript">
	var homePath = '${home}'
	var imgHome = '${imgHome}'
	var ajaxHomePath = '${ajaxHome}'
	var csrfParamName = '${_csrf.parameterName}'
	var csrfValue = '${_csrf.token}'

	var twoDigitDateMask = '${TWO_DIGIT_DATE_MASK}'
	var twoDigitDateTimeMask = '${TWO_DIGIT_DATE_TIME_MASK}'
	var useMinifiedDependencies = "<c:out value="${useMinifiedDependencies}" />"
</script>

<c:set var="minifiedSuffix" value="" />
<c:if test="${useMinifiedDependencies}">
	<c:set var="minifiedSuffix" value=".min" />
</c:if>

<script type="text/javascript"
	src="${jsHome}/jquery-2.1.4${minifiedSuffix}.js"></script>
<link type="text/css" rel="stylesheet"
	href="${pkgHome}/datatables-1.10.9/datatables${minifiedSuffix}.css" />
<script type="text/javascript"
	src="${pkgHome}/datatables-1.10.9/datatables${minifiedSuffix}.js"></script>

<link type="text/css" rel="Stylesheet"
	href="${pkgHome}/jquery-ui-1.11.4/jquery-ui${minifiedSuffix}.css" />
<link type="text/css" rel="Stylesheet"
	href="${pkgHome}/jquery-ui-1.11.4/jquery-ui.structure${minifiedSuffix}.css" />
<link type="text/css" rel="Stylesheet"
	href="${pkgHome}/jquery-ui-1.11.4/jquery-ui.theme${minifiedSuffix}.css" />
<script type="text/javascript"
	src="${pkgHome}/jquery-ui-1.11.4/jquery-ui${minifiedSuffix}.js"></script>

<script type="text/javascript" src="${jsHome}/jquery.alphanumeric.js"></script>
<script type="text/javascript" src="${jsHome}/jquery.bgiframe.js"></script>
<script type="text/javascript"
	src="${jsHome}/jquery.easy-confirm-dialog.js"></script>
<script type="text/javascript" src="${jsHome}/jquery.formrestrict.js"></script>
<script type="text/javascript" src="${jsHome}/jquery.form.js"></script>
<script type="text/javascript" src="${jsHome}/jquery.hotkeys.js"></script>
<script type="text/javascript" src="${jsHome}/jquery.hotKeyMap-1.0.js"></script>
<script type="text/javascript"
	src="${jsHome}/jquery.maskedinput-1.4.1.js"></script>
<script type="text/javascript" src="${jsHome}/jquery.mousewheel.js"></script>
<script type="text/javascript"
	src="${jsHome}/jquery.scrollTo${minifiedSuffix}.js"></script>
<script type="text/javascript" src="${jsHome}/jquery.topzindex.js"></script>

<script type="text/javascript" src="${jsHome}/showHide.js"></script>
<script type="text/javascript" src="${jsHome}/expandPanel.js"></script>
<script type="text/javascript" src="${jsHome}/xdate.js"></script>
<script type="text/javascript" src="${jsHome}/filterlist.js"></script>
<script type="text/javascript" src="${jsHome}/sorted-array.js"></script>

<%-- Time picker & dependencies --%>
<link type="text/css" rel="Stylesheet"
	href="${pkgHome}/timepicker/timepicker.css" />
<script type="text/javascript" src="${pkgHome}/timepicker/timepicker.js"></script>

<%-- Multi-select from http://loudev.com/#demos --%>
<link type="text/css" rel="Stylesheet"
	href="${pkgHome}/multiselect/jquery.multiselect.filter.css" />
<script type="text/javascript"
	src="${pkgHome}/multiselect/jquery.multiselect.filter.js"></script>
<link type="text/css" rel="Stylesheet"
	href="${pkgHome}/multiselect/jquery.multiselect-erich.css" />
<script type="text/javascript"
	src="${pkgHome}/multiselect/jquery.multi-select-erich.js"></script>

<link type="text/css" rel="Stylesheet"
	href="${cssHome}/commonStyles.css" />

<div id="spinner" class="spinner" style="display: none">
	<img id="img-spinner" src="${imgHome}/spinner.gif" alt="Loading" />
</div>

<%-- VSS-specific Javascript dependencies --%>
<script type="text/javascript" src="${jsHome}/commonJavascript.js"></script>
<script type="text/javascript" src="${jsHome}/volunteerJavascript.js"></script>
<script type="text/javascript" src="${jsHome}/dataTableJavascript.js"></script>

<%@ include file="inc_javascriptForCountdownTimer.jsp"%>
<%@ include file="inc_attentionDialog.jsp"%>
<%@ include file="inc_confirmationDialog.jsp"%>
<%@ include file="inc_sounds.jsp"%>