<%@ include file="inc_header.jsp"%>

<script type="text/javascript">
	/**
	 * Take everything within the #appContainerDiv and change it so it can only be viewed
	 * changes the title, text inputs, textareas, checkboxes and select options
	 */
	//do this on load since some select boxes are put in place by javascript (i.e. focus)
	$(window).load(function() {
		toView()
	})

	function toView() {
		$('#appTitle').text($('#appTitle').text().replace("Modify", "View"))
		$(':text', '#appContainerDiv').each(function() {
			$(this).replaceWith(escapeHTML($(this).val()))
		})
		$('textarea', '#appContainerDiv').not(".alwaysEnabled").attr(
				'disabled', 'disabled').css("color", "black")
		$(':checkbox', '#appContainerDiv').not(".alwaysEnabled").attr(
				'disabled', 'disabled').css("color", "black")
		$(':radio', '#appContainerDiv').not(".alwaysEnabled").attr('disabled',
				'disabled').css("color", "black")
		$(':button', '#appContainerDiv').not(".alwaysEnabled").attr('disabled',
				'disabled').css("color", "black")
		$('.requdIndicator', '#appContainerDiv').remove()
		$('select', '#appContainerDiv').each(
				function() {
					var selectedVal = $(this).find("option:selected").val()
					
					if (selectedVal == "-1" || selectedVal == "") {
						$(this).replaceWith("None")
					} else {
						$(this).replaceWith(
								escapeHTML($(this).find("option:selected")
										.text()))
					}
				})
		$('.actionable', '#appContainerDiv').hide()
		applyFocusToFirstActiveField()
	}
</script>