package gov.va.shared;

import org.springframework.test.context.ContextConfiguration;

import gov.va.shared.config.BaseConfig;
import gov.va.shared.config.testOnly.BaseTestConfig;
import gov.va.shared.test.AbstractAppTest;

/**
 * Base class for unit tests in the core module
 * 
 * @author barrycon
 */
@ContextConfiguration(classes = { BaseConfig.class, BaseTestConfig.class })
public abstract class AbstractCoreAppTest extends AbstractAppTest {

}
