package gov.va.vss.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import gov.va.vss.model.Donor;
import gov.va.vss.service.DonorService;
import gov.va.vss.service.validation.ServiceValidationException;

@Service
public class DonorServiceImpl extends AbstractServiceImpl implements DonorService {
	private static final Logger log = LoggerFactory.getLogger(DonorServiceImpl.class);

	@Override
	public Donor saveOrUpdate(Donor donor, boolean isEdit)
			throws ServiceValidationException {

		/* Business-level validations */

		donor = donorDAO.saveOrUpdate(donor);
		return donor;
	}

}
