package gov.va.vss.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import gov.va.vss.model.LetterTemplate;
import gov.va.vss.service.LetterTemplateService;
import gov.va.vss.service.validation.ServiceValidationException;

@Service
public class LetterTemplateServiceImpl extends AbstractServiceImpl implements LetterTemplateService {
	private static final Logger log = LoggerFactory.getLogger(LetterTemplateServiceImpl.class);

	@Override
	public LetterTemplate saveOrUpdate(LetterTemplate letterTemplate) throws ServiceValidationException {

		/* Business-level validations */

		letterTemplate = letterTemplateDAO.saveOrUpdate(letterTemplate);
		return letterTemplate;
	}

}
