package gov.va.vss.web.donation;

import gov.va.shared.model.lookup.sds.State;
import gov.va.vss.model.Donor;

public class DonorCommand {

	private Donor donor;
	/*
	 * SDS types that are populated on form submission, but that require
	 * conversion to legacy lookup types before storing in Volunteer object.
	 */
	private State state;

	public DonorCommand() {
	}

	public DonorCommand(Donor donor, State state) {
		this.donor = donor;
		this.state = state;
	}

	public Donor getDonor() {
		return donor;
	}

	public void setOrganization(Donor donor) {
		this.donor = donor;
	}

	public State getState() {
		return state;
	}

	public void setState(State state) {
		this.state = state;
	}

}
