package gov.va.vss.web.volunteer;

import gov.va.shared.model.lookup.sds.State;
import gov.va.vss.model.Volunteer;
import gov.va.vss.persistence.dao.VolunteerDAO.TimeSummary;

public class VolunteerCommand {

	// -------------------------------- Fields

	private Volunteer volunteer;
	private TimeSummary timeSummary;
	private State state;

	// -------------------------------- Constructors

	public VolunteerCommand() {
	}

	public VolunteerCommand(Volunteer volunteer, TimeSummary timeSummary, State state) {
		this.volunteer = volunteer;
		this.state = state;
		this.timeSummary = timeSummary;
	}

	// -------------------------------- Accessor Methods

	public Volunteer getVolunteer() {
		return volunteer;
	}

	public void setVolunteer(Volunteer volunteer) {
		this.volunteer = volunteer;
	}

	public State getState() {
		return state;
	}

	public void setState(State state) {
		this.state = state;
	}

	public TimeSummary getTimeSummary() {
		return timeSummary;
	}

	public void setTimeSummary(TimeSummary timeSummary) {
		this.timeSummary = timeSummary;
	}

}
