package gov.va.vss.persistence.dao;

import java.util.List;

import gov.va.shared.model.lookup.sds.State;
import gov.va.vss.model.Donor;
import gov.va.vss.model.lookup.VtkDonorType;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface DonorDAO extends CustomizableSortedDAO<Donor> {


	/**
	 * 
	 * @param donorType
	 * @param firstName
	 * @param middleName
	 * @param lastName
	 * @param email
	 * @param city
	 * @param state
	 * @param zip
	 * @param phone
	 * @return
	 */
	public List<Donor> findByCriteria(VtkDonorType donorType, String firstName, String middleName, String lastName, 
			String city, State state, String zip, String email, String phone, QueryCustomization... customization);	
}
