package gov.va.vss.persistence.dao;

import java.util.Collection;
import java.util.List;

import gov.va.vss.model.FacilityAssignment;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface FacilityAssignmentDAO extends CustomizableSortedDAO<FacilityAssignment> {

	/**
	 * 
	 * @param facilityAssignmentActiveStatus
	 *            TODO
	 * @param facilityId
	 *            TODO
	 * @return The list of FacilityAssignments matching the above criteria
	 */
	List<FacilityAssignment> findByCriteria(Collection<Long> benefitingServiceIds,
			Boolean facilityAssignmentActiveStatus, Long facilityId, QueryCustomization... customization);

}
