package gov.va.vss.persistence.dao;

import java.util.List;

import gov.va.vss.model.VolunteerFacilityAssignment;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface VolunteerFacilityAssignmentDAO extends CustomizableAppDAO<VolunteerFacilityAssignment> {

	/**
	 * 
	 * @param facilityAssignmentActiveStatus
	 *            TODO
	 * @return The list of Volunteers matching the above criteria
	 */
	List<VolunteerFacilityAssignment> findByCriteria(Long volunteerId, Long facilityAssignmentId,
			Boolean facilityAssignmentActiveStatus, QueryCustomization... customization);

}
