package gov.va.vss.persistence.queryCustomization.fieldTypes;

import gov.va.vss.model.FacilityAssignment;

public enum FacilityAssignmentFieldType implements ModelAssociationFieldType {
	FACILITY("facility"), //
	BENEFITING_SERVICE("benefitingService"), //
	BENEFITING_SERVICE_ROLE("benefitingServiceRole"), //
	VOLUNTEER_FACILITY_ASSIGNMENTS("volunteerFacilityAssignments"), //
	;

	private String fieldName;

	private FacilityAssignmentFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return FacilityAssignment.class;
	}

}