package gov.va.vss.service.batch;

import java.io.Serializable;
import java.util.Map;

import org.springframework.batch.core.JobExecutionException;
import org.springframework.batch.core.JobParameter;

public interface BatchProcessService {

	public void performBulkOperations(Map<String, Serializable> opParamsMap, String requesterActiveDirectoryName)
			throws Exception;

	void executeJob(String jobName, Map<String, JobParameter> batchJobParameterMap) throws JobExecutionException;

}