package gov.va.vss.service.batch;

import java.time.ZonedDateTime;

import gov.va.vss.model.jobExecution.JobExecutionResult;
import gov.va.vss.model.lookup.JobExecutionType.JobExecutionTypeValue;

public interface JobExecutionResultService {

	JobExecutionResult saveOrUpdate(JobExecutionResult result);

	JobExecutionResult saveOrUpdateInNewTransaction(JobExecutionResult result);

	int deleteByCriteria(Long jobExecutionResultId, ZonedDateTime olderThanDate, JobExecutionTypeValue type,
			Long referenceJobExecutionId, String initiatorAppUserName);

	void refresh(JobExecutionResult result);

	void setEndDateOrRemoveIfEmpty(long jobExecutionResultId);

}
