package gov.va.vss.web.donation;

import java.util.LinkedHashMap;

import gov.va.vss.model.DonationSummary;
import gov.va.vss.model.Donor;

public class DonorCommand {

	private Donor donor;
	private String desiredIndividualType;

	public DonorCommand() {
	}

	public DonorCommand(Donor donor) {
		this.donor = donor;
		this.desiredIndividualType = donor.getOrganization() != null ? "org"
				: donor.getVolunteer() != null ? "volunteer" : "individual";
	}
	
	public Donor getDonor() {
		return donor;
	}

	public void setOrganization(Donor donor) {
		this.donor = donor;
	}

	public String getDesiredIndividualType() {
		return desiredIndividualType;
	}

	public void setDesiredIndividualType(String desiredIndividualType) {
		this.desiredIndividualType = desiredIndividualType;
	}

	public void setDonor(Donor donor) {
		this.donor = donor;
	}

}
