package gov.va.vss.web.facility;

import gov.va.vss.model.facility.Facility;

public class FacilityCommand {

	private Facility facility;
	private Long parentId;

	public FacilityCommand() {
	}

	public FacilityCommand(Facility facility) {
		this.facility = facility;
		this.parentId = facility.getParent() != null ? facility.getParent().getId() : null;
	}

	public Facility getFacility() {
		return facility;
	}

	public void setFacility(Facility facility) {
		this.facility = facility;
	}

	public Long getParentId() {
		return parentId;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

}
