@echo off
@rem Dir containing other shared scripts
@set CURRENT_DIR=%~dp0

@rem @set VSS_INCLUDE_BUILD_NUMBER=true

@set VSS_VERSION=1.0

@set VSS_CC_PATH=C:\data\projects-hp\VSS\trunk
@set VSS_PROJECT_HOME=%VSS_CC_PATH%\parent

@set DEPLOYMENTS_FOLDER=C:\data\projects-hp\VSS\deploymentsLocal

@set SERVER_HOME=C:\data\dev\wildfly\

@rem @set JAVA_OPTS=%JAVA_OPTS% -Dlog4j.configuration=%DEPLOYMENTS_FOLDER%\log4j\log4j2-developer.xml
@set AppPropertiesDir=%DEPLOYMENTS_FOLDER%\properties

@rem Remove this when going to IPv6
@rem @set JAVA_OPTS=%JAVA_OPTS%  -Djava.net.preferIPv4Stack=true
@rem Without these three props sometimes the debugger cannot connect, I suspect it runs out of servicing threads? CPB

@rem The following are necessary to disable WebLogic's certicom SSL implementation and use the JSSE one (per Lalit):
@rem The following two properties can be removed to prevent SSL debug logging info in the console
@rem @set JAVA_OPTS=%JAVA_OPTS%  -Djavax.net.debug=ssl:handshake:verbose
@rem @set JAVA_OPTS=%JAVA_OPTS%  -Djavax.net.debug=ssl

@set JAVA_HOME=C:\data\dev\jdk1.8.0_66

@set M2_HOME=C:\data\dev\apache-maven-3.3.3
@set MAVEN_REPO_LOC=C:\data\projects-hp\VSS\maven-repo
@set MAVEN_SETTINGS_FILE=%VSS_CC_PATH%\build\settings_build.xml
@set MAVEN_OPTS=-Xmx512m

@set ENV_PROPERTIES_PATH=%VSS_CC_PATH%\properties\local

@set PATH=C:\data\dev\bin;%CURRENT_DIR%;%CURRENT_DIR%/combos;%JAVA_HOME%\bin;%M2_HOME%\bin;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem

@cd %VSS_PROJECT_HOME%

title VSS