package gov.va.shared;

import org.springframework.test.context.ContextConfiguration;

import gov.va.shared.config.BaseConfig;
import gov.va.shared.config.testOnly.BaseTestConfig;
import gov.va.shared.test.AbstractTransactionalAppTest;

/**
 * Base class for transactional unit tests in the core module
 * 
 * @author barrycon
 */
@ContextConfiguration(classes = { BaseConfig.class, BaseTestConfig.class })
public abstract class AbstractCoreTransactionalAppTest extends AbstractTransactionalAppTest {

}
