package gov.va.vss.service.impl;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import gov.va.vss.model.Volunteer;
import gov.va.vss.service.VolunteerService;
import gov.va.vss.service.validation.ServiceValidationException;

@Service
public class VolunteerServiceImpl extends AbstractServiceImpl implements VolunteerService {
	private static final Logger log = LoggerFactory.getLogger(VolunteerServiceImpl.class);

	@Override
	public Volunteer saveOrUpdate(Volunteer volunteer) throws ServiceValidationException {
		return volunteerDAO.saveOrUpdate(volunteer);
	}

	@Override
	public void delete(long volunteerId) {
		volunteerDAO.delete(volunteerId);
	}

}
