<%@ include file="../shared/inc_header.jsp"%>

<script type="text/javascript"
	src="${pkgHome}/accessible-dropdown-menu/accessible-dropdown-menu.js"></script>
<link type="text/css"
	href="${pkgHome}/accessible-dropdown-menu/accessible-dropdown-menu.css"
	rel="Stylesheet" />

<jsp:include page="/WEB-INF/jsp/shared/inc_volunteerSearchPopup.jsp">
	<jsp:param name="uniqueVolunteerSearchPopupId" value="menu" />
	<jsp:param name="resultCallbackMethod"
		value="menuVolunteerSelectedCallback" />
</jsp:include>

<div class='sidemenucontainer' role="application">
	<div class="sidebarmenu" role="navigation">

		<ul id="navigationMenuBar" role="menubar"
			title="VSS menu bar">

			<li id="appMenuHome" role="menuitem" aria-haspopup="false"
				tabIndex="-1"><a href="${home}" id="homeLink" title="Home"
				shortcut="Shift+h" class="hotkeyed" role="menuitem">Home</a></li>

			<%--
			<sec:authorize
				access="hasAnyAuthority('${PERMISSION_TIME_ENTRY},
					${PERMISSION_VOLUNTEER_VIEW},
					${PERMISSION_VOLUNTEER_EDIT},
					${PERMISSION_VOLUNTEER_DELETE}')"> --%>
			<li role="menuitem" aria-haspopup="true"><a
				id="menuVolunteerLink" href="#" title="Volunteer" shortcut="Shift+v"
				class="hotkeyed" role="menuitem">Volunteer</a>
				<ul id="menuVolunteer" role="menu" style="width: 180px">
					<%--<sec:authorize
							access="hasAuthority('${PERMISSION_VOLUNTEER_VIEW}')"> --%>
					<li role="menuitem"><a
						href="javascript:popupVolunteerSearch('menu')"
						title="Search for Volunteer" shortcut="sv"
						class="sequencehotkeyed" role="menuitem">Search for Volunteer</a></li>
					<%-- </sec:authorize> --%>
					<%-- <sec:authorize
							access="hasAuthority('${PERMISSION_VOLUNTEER_EDIT}')"> --%>
					<li role="menuitem"><a href="${home}/volunteerCreate.htm"
						title="Create a Volunteer" shortcut="cv" class="sequencehotkeyed"
						role="menuitem">Create New Volunteer</a></li>
					<%-- </sec:authorize> --%>
				</ul></li>
			<%-- </sec:authorize> --%>

			<li role="menuitem" aria-haspopup="true"><a href="#"
				title="Reports" shortcut="Shift+o" class="hotkeyed" role="menuitem">Reports</a>
				<ul id="appMenuReports" role="menu">
					<li role="menuitem"><a href="javascript:accessAdHocReports()"
						title="Ad-Hoc Reporting" shortcut="rp" class="sequencehotkeyed"
						role="menuitem">Ad-Hoc Reporting</a></li>
					<c:if test="${showBackgroundJobLog}">
						<li role="menuitem"><a href="${backgroundJobUrl}"
							title="Background Job Log" shortcut="lo" class="sequencehotkeyed"
							role="menuitem">Background Job Log</a></li>
					</c:if>
					
					<li role="menuitem" aria-haspopup="true"> <!--  * Start of AddressLabels Popup -->
						<a href="#"
							title=" Address Label Reports" shortcut="ar" class="sequencehotkeyed"
							role="menuitem">Address Label Reports</a>
						
						<ul id="addressLabelReportsList" role="menu" >	<!--  Start of AddressLabels type -->
						
							<!--  Inside this are embedded 3 categories of label reports -->
							
							<!--  Start Catory 1 - Volunteers  -->
								<li role="menuitem" aria-haspopup="true">
									<a href="#"
										title="Volunteer Address Label Reports" shortcut="al" class="sequencehotkeyed"
										role="menuitem">For Volunteers</a>
										
										<ul id="addressLabelMenuReports" role="menu" >
										
										<li role="menuitem"><a href="${home}/displayReportParameters.htm?reportName=queryBased_AddressLabelsReport2"
									title="Create Address Labels for Volunteers - Combined Parameters" shortcut="ac" class="sequencehotkeyed"
									role="menuitem">Combined Parameters Page - Under Construction</a></li>
										
											<li role="menuitem"><a href="${home}/executeReport.htm?reportName=Volunteer_AddressLabelsReport_AllVolunteers"
									title="Create Address Labels for All Volunteers" shortcut="av" class="sequencehotkeyed"
									role="menuitem">All Volunteers</a></li>
										
										<li role="menuitem"><a href="${home}/executeReport.htm?reportName=Volunteer_AddressLabels_Age"
									title="Create Address Labels for Volunteers By Age Range" shortcut="ar" class="sequencehotkeyed"
									role="menuitem">By Age Range</a></li>
									
										<li role="menuitem"><a href="${home}/executeReport.htm?reportName=Volunteer_AddressLabels_BirthMonth"
									title="Create Address Labels for Volunteers By Birth Month" shortcut="ab" class="sequencehotkeyed"
									role="menuitem">By Birth Month</a></li>
									
									<li role="menuitem"><a href="${home}/executeReport.htm?reportName=Volunteer_AddressLabels_Organizations"
									title="Create Address Labels for Volunteers By Organization" shortcut="ao" class="sequencehotkeyed"
									role="menuitem">By Organization</a></li>
									
									<li role="menuitem"><a href="${home}/executeReport.htm?reportName=Volunteer_AddressLabels_Services "
									title="Create Address Labels for Volunteers By Service" shortcut="as" class="sequencehotkeyed"
									role="menuitem">By Service</a></li>
									
									<li role="menuitem"><a href="${home}/executeReport.htm?reportName=Volunteer_AddressLabels_Zip"
									title="Create Address Labels for Volunteers By Address Zip Code" shortcut="az" class="sequencehotkeyed"
									role="menuitem">By Address Zip Code</a></li>
									
									<li role="menuitem"><a href="${home}/executeReport.htm?reportName=Volunteer_AddressLabels_SpecificVolunteers"
									title="Create Address Labels for Volunteers For Specific Volunteers" shortcut="an" class="sequencehotkeyed"
									role="menuitem">For Specific Volunteers</a></li>
									
									<li role="menuitem"><a href="${home}/displayReportParameters.htm?reportName=queryBased_AddressLabelsReport"
									title="Create Address Labels for Volunteers - Combined Parameters" shortcut="ac" class="sequencehotkeyed"
									role="menuitem">Combined Parameters - Multi-Select Option 1</a></li>
									
									
									
									
										</ul><!--  End  addressLabelMenuReports -->
									</li><!--  End  Volunteer Address Label Reports -->
						<!--  End Catory 1 - Volunteers  -->
						
						
						<!--  Start Catory 2 - National Officials  -->
								 <li role="menuitem" aria-haspopup="true">
									<a href="#"
										title="National Officials Address Label Reports" shortcut="nl" class="sequencehotkeyed"
										role="menuitem">For National Officials</a>
										
										<ul id="nationalOfficialsaddressLabelMenuReports" role="menu" >
										
											<li role="menuitem"><a href="${home}/executeReport.htm?reportName=NationalOfficials_AddressLabels_Representative_Report"
									title="Create Address Labels for All National Officials that are Representatives" shortcut="nr" class="sequencehotkeyed"
									role="menuitem">Representatives</a></li>
										
										<li role="menuitem"><a href="${home}/executeReport.htm?reportName=NationalOfficials_AddressLabels_Deputies_Report"
									title="Create Address Labels for All National Officials that are Deputies" shortcut="nd" class="sequencehotkeyed"
									role="menuitem">Deputies</a></li>
									
										<li role="menuitem"><a href="${home}/executeReport.htm?reportName=NationalOfficials_AddressLabels_CertifyingOfficial_Report"
									title="Create Address Labels for All National Officials that are NCOs" shortcut="nc" class="sequencehotkeyed"
									role="menuitem">NCOs</a></li>
									
									<li role="menuitem"><a href="${home}/executeReport.htm?reportName=NationalOfficials_AddressLabels_NACExecutiveMems_Report"
									title="Create Address Labels for All National Officials that are in Organizations that are NAC Executive Members" shortcut="ne" class="sequencehotkeyed"
									role="menuitem">Only from NAC Executive Members Orgs</a></li>
									
									<li role="menuitem"><a href="${home}/executeReport.htm?reportName=NationalOfficials_AddressLabels_NotRepDepOrNACExecMems_Report  "
									title="Create Address Labels for All National Officials that are not Reps, Deputies or NCOs" shortcut="nn" class="sequencehotkeyed"
									role="menuitem">Not Reps/Deps or NCOs</a></li>								
														
									
										</ul><!--  End  nationalOfficialsaddressLabelMenuReports -->
									</li><!--  End  National Officials Address Label Reports -->
					 
						
						
						<!--  End Catory 2 - National Officials  -->
						
						<!--  Start Catory 3 - Volunteer Service  -->
						
								
							 	<li role="menuitem" >
								<a href="#"
									title="Voluntary Directory Service Label Reports" shortcut="nl" class="sequencehotkeyed"
									role="menuitem">For Voluntary Directory Service </a>
									
									
									<ul id="voluntaryServiceLabelMenuReports" role="menu" >
										
											<li role="menuitem"><a href="${home}/executeReport.htm?reportName=VoluntaryServicesDirectoryLabel_All"
									title="Create Labels for All Voluntary Services" shortcut="va" class="sequencehotkeyed"
									role="menuitem">All</a></li>
										
										<li role="menuitem"><a href="${home}/executeReport.htm?reportName=VoluntaryServicesDirectoryLabel_Facility"
									title="Create Labels for Voluntary Services by Facility" shortcut="vf" class="sequencehotkeyed"
									role="menuitem">Facility</a></li>
									
										<li role="menuitem"><a href="${home}/executeReport.htm?reportName=VoluntaryServicesDirectoryLabel_State"
									title="Create Labels for Voluntary Services by State" shortcut="vs" class="sequencehotkeyed"
									role="menuitem">State</a></li>
									
									<li role="menuitem"><a href="${home}/executeReport.htm?reportName=VoluntaryServicesDirectoryLabel_VISN"
									title="Create Labels for Voluntary Services by VISN" shortcut="vv" class="sequencehotkeyed"
									role="menuitem">VISN</a></li>
									
												
														
									
										</ul><!--  End  Voluntary Service Reports -->
									
									
								</li><!--  End  Voluntary Directory Service Label Reports -->
					 
						
						<!--  End Catory 3 -  Volunteer Service  -->
						
						
						</ul><!--  End of AddressLabels type -->
						
					</li> <!-- * End of AddressLabels popup  -->
							
					
					 
					
						
					</ul> <!--  End appMenuReports -->
					
					
					</li>


			<li role="menuitem" aria-haspopup="true"><a href="#"
				title="Administration" shortcut="Shift+d" class="hotkeyed"
				role="menuitem">Maintenance</a>
				<ul id="menuAdministration" role="menu" style="width: 200px">
					<sec:authorize
						access="hasAnyAuthority('${PERMISSION_ORG_CODE_NATIONAL_READ}, 
													 ${PERMISSION_ORG_CODE_LOCAL_READ}')">
						<li role="menuitem"><a href="${home}/organizationList.htm"
							title="Manage Organizations" shortcut="mo"
							class="sequencehotkeyed" role="menuitem">Manage Organizations</a>
						</li>
					</sec:authorize>
					<li role="menuitem"><a href="${home}/editVoluntaryService.htm"
						title="Edit Vountary Service" shortcut="evs"
						class="sequencehotkeyed" role="menuitem">Manage Voluntary
							Service</a></li>
				</ul></li>

			<c:if test="${multipleStationsAssigned or hasNationalAdminRole}">
				<li role="menuitem"><a href="${home}/changeStation.htm"
					title="Change Facility" shortcut="cs" class="sequencehotkeyed"
					role="menuitem">Change Facility</a></li>
			</c:if>
			<li role="menuitem" aria-haspopup="true"><a href="#"
				title="Help" shortcut="Shift+l" class="hotkeyed" role="menuitem">Help</a>
				<ul id="appMenuHelp" role="menu" style="width: 90px">
					<li role="menuitem"><a id='menuHelp'
						href="javascript:launchWebHelp()" title="Web Help" shortcut="wh"
						class="sequencehotkeyed" role="menuitem">Web Help</a></li>
				</ul></li>
			<li role="menuitem" aria-haspopup="true"><a href="#"
				title="Reference" shortcut="Shift+f" class="hotkeyed"
				id="menuReferenceAnchor" role="menuitem">Reference</a>
				<ul id="menuReference" role="menu" style="width: 165px">
					<%-- Populated in CommonReferenceDataInterceptor via a Velocity template in the DB - CPB --%>
					${referenceDataLinks}
				</ul></li>

			<c:set var="isRoleManager" value="false" />
			<sec:authorize
				access="hasAuthority('${ROLE_TYPE_USER_MANAGER.name}')">
				<c:set var="isRoleManager" value="true" />
			</sec:authorize>
			<li role="menuitem"><a href="${home}/userAdmin.htm"
				title="Manage User Access" shortcut="cs" class="sequencehotkeyed"
				role="menuitem"><c:if test="${isRoleManager}">Manage User Access</c:if>
					<c:if test="${not isRoleManager}">Manage My User</c:if></a></li>
		</ul>
	</div>
</div>

<script type="text/javascript">
	function accessAdHocReports() {
		var url = "javascript:ssrs()";
		var windowName = "VSS_Ad_Hoc_Reporting"
		// var windowSize = "width=800,height=700,scrollbars=yes"
		window.open(url, windowName)
	}

	/**
	 * This implementation of the menu is based on HFE suggestion that
	 * the menu will only open when it is clicked instead of the default
	 * which is opening the menu when you do a mouse over
	 
	 *  added by jtorreno 6.28.2012
	 */
	function initializeMenu() {
		accessibleDropdownMenu('#navigationMenuBar', 100);
	}

	function launchWebHelp() {
		var url = '/apphelp/index.htm'
		var windowName = "OnlineHelp"
		var windowSize = "width=800,height=700,scrollbars=yes"
		window.open(url, windowName, windowSize)
	}

	$(function() {
		initializeMenu()

		$('.search_show_hide').showHide({
			speed : 300,
			easing : '',
			changeText : 0
		})

		$(".hotkeyed").each(function() {
			var hotKey = $(this).attr('shortcut')
			var elemBeingKeyed = $(this)
			$(document).bind('keydown', hotKey, function() {
				//Close the expanded menus if any
				$('li.hover').each(function() {
					var classHoverLi = $(this).attr('class')
					var classHoverLiRemoved = classHoverLi.replace('hover', "")
					$(this).attr('class', classHoverLiRemoved)
				})
				//Expand the appropiate menu as needed
				elemBeingKeyed.parent().trigger('mouseover')
				elemBeingKeyed.focus();
				window.location = elemBeingKeyed.attr('href')
			})
		})

		var f = function(key) {
			//Close the expanded menus if any
			$('li.hover').each(function() {
				var classHoverLi = $(this).attr('class')
				var classHoverLiRemoved = classHoverLi.replace('hover', "")
				$(this).attr('class', classHoverLiRemoved)
			})
			//Expand the appropriate menu as needed
			window.location = elemBeingKeyed.attr('href')
		}

		$(".sequencehotkeyed").each(
				function() {
					var hotKeySequence = $(this).attr('shortcut')
					var hotKey1 = hotKeySequence.substring(0, 1)
					var hotKey2 = hotKeySequence.substring(1, 2)
					var elemBeingKeyed = $(this)

					$(document).mapHotKeys(
							[ $.mapHotKeys.createSequence(hotKey1, hotKey2,
									$(document), f) ])
				})

		//Adding a span with empty title to all anchors with role=menuitem so as to avoid mouseover display of title on anchor tags. These titles
		//currently hold the shortcut key sequence to invoke the specific menu option.
		$("a[role='menuitem']").each(function() {
			var currentContent = $(this).html()
			$(this).html("<span title=''>" + currentContent + "</span>")
		})
	})
</script>
