package gov.va.vss.persistence;

import org.springframework.beans.factory.annotation.Autowired;

import gov.va.vss.AbstractWebDAOTest;
import gov.va.vss.model.VistaStationData;
import gov.va.vss.persistence.dao.CustomizableAppDAO;
import gov.va.vss.persistence.dao.VistaStationDataDAO;

public class TestVistaStationDataDAO extends AbstractWebDAOTest<VistaStationData> {

	@Autowired
	private VistaStationDataDAO vistaStationDataDAO;

	@Override
	protected CustomizableAppDAO<VistaStationData> getDAO() {
		return vistaStationDataDAO;
	}

	@Override
	protected VistaStationData getInstanceToSave() {
		return null;
	}

	@Override
	protected boolean testDelete() {
		return false;
	}

}
