package gov.va.vss.test;

import org.junit.Assert;
import org.junit.Test;
import org.springframework.batch.core.BatchStatus;
import org.springframework.batch.core.Job;
import org.springframework.batch.core.JobExecution;

import gov.va.vss.AbstractWebAppTest;

public class TickerPriceConversionTest extends AbstractWebAppTest {

	@Test
	public void testJob() throws Exception {
		Job job = jobRegistry.getJob("tickerPriceConversion");
		JobExecution jobExecution = getJobLauncherTestUtils(job).launchJob();
		Assert.assertEquals(BatchStatus.COMPLETED, jobExecution.getStatus());
	}
}