package gov.va.shared.persistence.lookup.sds;

import java.util.SortedSet;

import gov.va.shared.model.lookup.sds.VAFacility;
import gov.va.shared.persistence.AppSortedDAO;

public interface VAFacilityDAO extends AppSortedDAO<VAFacility> {

	VAFacility findByStationNumber(String stationNumber);

	SortedSet<VAFacility> findAllChildrenSorted(long parentId);

	SortedSet<VAFacility> findAllThreeDigitStationsSorted();

	SortedSet<VAFacility> findAllVISNsSorted();

	SortedSet<VAFacility> findAllStationsInVisn(long visnId);
	
	SortedSet<VAFacility> findAllActiveTreatingFacilities();

}
