<%@ include file="shared/inc_header.jsp"%>

<div class="login-form">
	<c:url var="loginUrl" value="/login.htm" />
	<form action="${loginUrl}" method="post" class="form-horizontal">
		<c:if test="${not empty errorMessage}">
			<div class="alert alert-danger clearCenter">
				<p><c:out value="${errorMessage}" /></p>
			</div>
		</c:if>
		<c:if test="${param.logout != null}">
			<div>
				<p>You have been logged out successfully.</p>
			</div>
		</c:if>
		<div class="login-input-group">
			<div class="input-group input-sm">
				<label class="input-group-addon" for="username"><i
					class="fa fa-user">VA Username:</i></label> <input type="text"
					class="form-control" id="username" name="username"
					placeholder="Enter Username" required>
			</div>
			<div class="input-group input-sm">
				<label class="input-group-addon" for="password"><i
					class="fa fa-lock">Password:</i></label> <input type="password"
					class="form-control" id="password" name="password"
					placeholder="Enter Password" required>
			</div>
		</div>
		<input type="hidden" name="${_csrf.parameterName}"
			value="${_csrf.token}" />
		<p>
		<div class="form-actions">
			<input type="submit" class="btn btn-block btn-primary btn-default"
				value="Log in">
		</div>
	</form>
</div>

