package gov.va.vss.persistence.dao;

import java.util.Collection;
import java.util.List;

import gov.va.vss.model.BenefitingService;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface BenefitingServiceDAO extends CustomizableSortedDAO<BenefitingService> {

	public static final String BENEFITING_SERVICE_PREFIX_GAMES = "6";
	
	List<BenefitingService> findByCriteria(String code, String name, String subdivision, String abbreviation,
			boolean includeNationalScope, boolean includeLocalScope, Collection<Long> localFacilityIds, Collection<Long> localVtkInstitutionIds, Collection<String> excludeCodesWithPrefixes, QueryCustomization... customization);

}
