package gov.va.vss.persistence.dao;

import java.util.List;

import gov.va.vss.model.DonationSummary;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface DonationSummaryDAO extends CustomizableSortedDAO<DonationSummary> {

	/**
	 * 
	 * @param donorId
	 * @param customization
	 * @return
	 */
	List<DonationSummary> findByCriteria(Long donorId, QueryCustomization... customization);
}
