package gov.va.vss.persistence.queryCustomization.fieldTypes;

import gov.va.vss.model.VolunteerFacilityAssignment;

public enum VolunteerFacilityAssignmentFieldType implements ModelAssociationFieldType {
	VOLUNTEER("volunteer"), //
	FACILITY_ASSIGNMENT("facilityAssignment"), //
	;

	private String fieldName;

	private VolunteerFacilityAssignmentFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return VolunteerFacilityAssignment.class;
	}

}