<%@ include file="inc_header.jsp"%>

<script type="text/javascript">
	$(function() {
	    var theDataTable = $('#${param.dataTableId}').DataTable({
	    	buttons: [{
				extend: 'collection',
				text: 'Export',
				buttons: [
  		    		'excel', {
  		    			extend : 'pdfHtml5',
  		    			orientation : 'landscape'
  		    		}, 'print'
  	  		    ]
			}],
			
	    	<c:if test="${not empty param.dom}">
	    		"dom": '${param.dom}',
	    	</c:if>
	    	<c:if test="${empty param.dom}">
	    		"dom": '<"top"fBi>rt<"bottom"pl><"clear">',
	    	</c:if>
	    		
	    	<c:if test="${not empty param.drawCallBackFn}">
	    	"drawCallback": ${param.drawCallBackFn},
	    	</c:if>
	    	"lengthMenu" : [ [ 10, 50, -1 ],
	    	 				[ 10, 50, "All" ] ],
	    	 <c:choose>
	    		 <c:when test="${not empty param.defaultSort}">
	    			"order":${param.defaultSort},
	    		 </c:when>
	   			<c:otherwise>
	   				"order": [],
	   			</c:otherwise>
   			</c:choose>
	    	"pageLength": 10,
	    	"pagingType": "full_numbers",
	    	"stateSave": false,
	    	<c:if test="${not empty param.stripeClasses}">
	    	"stripeClasses" : [${param.stripeClasses}],
	    	</c:if>
		})
	    
	    rebuildTableFilters('${param.dataTableId}')
	})
	
	<c:if test="${not empty param.refreshDataMethod}">
		function ${param.refreshDataMethod}(r) {
			var table = $('#${param.dataTableId}').DataTable()
			table.clear()
			table.rows.add(r)
	        table.draw()
			rebuildTableFilters('${param.dataTableId}')
		}
	</c:if>
</script>

<c:set var="bodyCellTextAlign" value="left" />
<c:if test="${not empty param.bodyCellTextAlign}">
	<c:set var="bodyCellTextAlign" value="${param.bodyCellTextAlign}" />
</c:if>

<style>
#${param.dataTableId} {
	border:thin solid;	
}

#${param.dataTableId} th {
	font-weight: bold;
	text-align: center;
	padding: 3px 18px 3px 10px;
	margin: 3px;
	background-color: #B9CFE6;
}

#${param.dataTableId} td {
	text-align: ${bodyCellTextAlign};
	padding: 3px 4px;
	margin: 3px 4px;
}

#${param.dataTableId} #allRowsController{
	padding: 3px 4px;
	margin: 3px 4px;
}
</style>