package gov.va.vss.persistence;

import java.util.List;

import org.junit.Assert;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import gov.va.vss.AbstractTransactionalWebDAOTest;
import gov.va.vss.model.DonationDetail;
import gov.va.vss.persistence.dao.CustomizableAppDAO;
import gov.va.vss.persistence.dao.DonationDetailDAO;

public class TestDonationDetailDAO extends AbstractTransactionalWebDAOTest<DonationDetail> {

	@Autowired
	private DonationDetailDAO donationDetailDAO;

	@Override
	protected CustomizableAppDAO<DonationDetail> getDAO() {
		return donationDetailDAO;
	}

	@Override
	protected DonationDetail getInstanceToSave() {
		DonationDetail d = new DonationDetail();
		/*
		 * v.setAppUser(user); v.setReportOrder(1); VtkInstitution
		 * vtkInstitution = findVtkInstitution("442");
		 * v.setVtkInstitution(vtkInstitution); VtkUser vtkUser = new VtkUser();
		 * vtkUser.setFirstName("Stacey"); vtkUser.setLastName("Zhang");
		 * vtkUser.setPrimaryInstitution(vtkInstitution); vtkUser =
		 * vtkUserDAO.saveOrUpdate(vtkUser); v.setVtkUser(vtkUser);
		 */
		return null;
	}

	@Test
	public void testFindByCriteria() {
		long donationSummaryId = 18;
		List<DonationDetail> donDetailList = donationDetailDAO.findByCriteria(donationSummaryId);
		Assert.assertFalse("Failed -  didn't return any results", donDetailList != null);

	}

	@Override
	protected boolean testDelete() {
		return true;
	}

}
