package gov.va.vss.persistence.dao;

import java.util.List;

import gov.va.vss.model.WorkEntry;
import gov.va.vss.persistence.queryCustomization.QueryCustomization;

public interface WorkEntryDAO extends CustomizableSortedDAO<WorkEntry> {

	/**
	 * 
	 * @param organizationId
	 *            TODO
	 * @param facilityAssignmentActiveStatus
	 *            TODO
	 * @return The list of Volunteers matching the above criteria
	 */
	List<WorkEntry> findByCriteria(Long volunteerId, Long organizationId, QueryCustomization... customization);

	int getNumYearsWorked(long volunteerId);

}
