package gov.va.vss.persistence.queryCustomization.fieldTypes;

import gov.va.vss.model.jobExecution.JobExecutionResult;

public enum JobExecutionResultAssociationFieldType implements ModelAssociationFieldType {
	TYPE("type"), //
	INITIATOR("initiator"), //
	REFERENCE_JOB_EXECUTION("referenceJobExecution"), //
	REFERENCE_INSTITUTION("referenceInstitution"), //
	RESULT_ITEMS("jobExecutionResultItems");

	private String fieldName;

	private JobExecutionResultAssociationFieldType(String fieldName) {
		this.fieldName = fieldName;
	}

	public String getFieldName() {
		return fieldName;
	}

	@Override
	public Class<?> getModelClass() {
		return JobExecutionResult.class;
	}

}