package gov.va.vss.service.scheduledJobs;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Profile;
import org.springframework.jmx.export.annotation.ManagedOperation;
import org.springframework.jmx.export.annotation.ManagedResource;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Service;

@Service
@Profile(value = { "attended" })
@ManagedResource
public class VolunteerAutoInactivationJob extends AbstractScheduledJob {
	private static final Logger log = LoggerFactory.getLogger(VolunteerAutoInactivationJob.class);

	@Scheduled(cron = "${scheduledJobs.volunteerAutoInactivation.cron}")
	@ManagedOperation
	public void inactivateStaleVolunteers() {
		log.info(Thread.currentThread().toString() + ": Running scheduled job {}",
				VolunteerAutoInactivationJob.class.getSimpleName());

		// JobExecutionType type =
		// jobExecutionTypeDAO.findByLookup(JobExecutionTypeValue.LEIE);
		// ZonedDateTime now = ZonedDateTime.now();
		// JobExecutionResult result = new JobExecutionResult(type, null, now);
		// result = jobExecutionResultService.saveOrUpdate(result);
		//
		// JobExecutionResultItem item =
		// jobExecutionResultItemService.saveItemResult(result, now, null,
		// false,
		// "Refreshing excluded entities...", null);
		//
		// try {
		// int results = excludedEntityService.refreshData();
		// item.setItemSuccessful(true);
		// item.setItemStatusMessageStr(
		// item.getItemStatusMessageStr() + " " + results + " excluded entities
		// processed.");
		// } catch (Exception t) {
		// log.error("Caught exception in " +
		// VolunteerAutoInactivationJob.class.getName(), t);
		// item.setStatusException(t);
		// } finally {
		// try {
		// item.setEndTime(ZonedDateTime.now());
		// jobExecutionResultItemService.saveOrUpdate(item);
		// } catch (Exception ignored) {
		// }
		// }
	}
}
