package gov.va.vss.web.volunteer;

import gov.va.vss.model.Volunteer;
import gov.va.vss.persistence.dao.VolunteerDAO.TimeSummary;

public class VolunteerCommand {

	// -------------------------------- Fields

	private Volunteer volunteer;
	private boolean volunteerTerminatedWithCause;
	private TimeSummary timeSummary;

	// -------------------------------- Constructors

	public VolunteerCommand() {
	}

	public VolunteerCommand(Volunteer volunteer, TimeSummary timeSummary) {
		this.volunteer = volunteer;
		this.volunteerTerminatedWithCause = volunteer.isTerminatedWithCause();
		this.timeSummary = timeSummary;
	}

	// -------------------------------- Accessor Methods

	public Volunteer getVolunteer() {
		return volunteer;
	}

	public void setVolunteer(Volunteer volunteer) {
		this.volunteer = volunteer;
	}

	public TimeSummary getTimeSummary() {
		return timeSummary;
	}

	public void setTimeSummary(TimeSummary timeSummary) {
		this.timeSummary = timeSummary;
	}

	public boolean isVolunteerTerminatedWithCause() {
		return volunteerTerminatedWithCause;
	}

}
