<%--
	Simple JSP fragment containing date/time fields functionality 
--%>
<script type="text/javascript">
	function checkDate(date) {
		if (!date) {
			return false
		}
		//simple date check
		var dateFormat = /^\d{1,2}\/\d{1,2}\/\d{4} \d{2}:\d{2}(\s)*$/
		if (!date.match(dateFormat)) {
			return false
		}
		//better date check
		var regEx = /(^\d{1,2})\/(\d{1,2})\/(\d{4}) (\d{2}):(\d{2}(\s)*$)/
		var dp = regEx.exec(date)
		var monthfield = dp[1]
		var dayfield = dp[2]
		var yearfield = dp[3]
		var dayobj = new Date(yearfield, monthfield - 1, dayfield)
		if ((dayobj.getMonth() + 1 != monthfield)
				|| (dayobj.getDate() != dayfield)
				|| (dayobj.getFullYear() != yearfield)) {
			return false
		}
		return true
	}
</script>

